from tkinter import *

# --------------------------------------------------------------------
# click() is a function (or definition). It is only called once below.
def click() :
    word = textentry.get()
    output.delete(0.0, END)
    
    #create an uppercase string .. your own code can go here
    newWord = word.upper()
    
    output.insert(END, newWord)
#-----------------------------------------------------------------------        


# initialise the Tkinter window
win = Tk()
win.title("UI - Take in a string - Output a variation of the string")
win.maxsize(width=600, height=200)
win.configure(background = "black")


#2 rows - INPUT ....
Label(win, text = "Input a STRING", bg="light green", width = 30, height = 2).grid(row=1,column=0, sticky=W)
#Entry displays a box; you can then get() the text written into the box.
textentry = Entry(win, bg="white")
textentry.grid(row=1, column=1, sticky=W)

# .. and OUTPUT.
#The colours are written here in hexadecimal, just to show a common alternative to a string description.
#The format is #RRGGBB.
Label(win, text="Output a variation of the STRING", bg = "#00ffff", width=30, height=2).grid(row=2,column=0, sticky=W)
output = Text(win, width=15, height=1, wrap=WORD, background="#ffffff")
output.grid(row=2, column=1, sticky=W)
Label(win,width=40, bg="#000000").grid(row=3, column=0, sticky=W)



button = Button(win, text="Submit the STRING", command=click).grid(row=5,column=0, sticky=W)
qbutton = Button(win, text="QUIT", command=win.destroy).grid(row=5, column=2, sticky=W)

win.mainloop()      # infinite loop to capture events
